 @charset "UTF-8";
@import url("https://fonts.googleapis.com/css2?family=Space+Grotesk:wght@400;700&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Potta+One&display=swap");

* {
  box-sizing: border-box;
}

html {
  font-size: 6.25vmax;
}

@media (max-width: 992px) {
  html {
    font-size: 60px;
  }
}

body {

  display: flex;
  justify-content: center;
  align-items: center;
  color: #222;
  font-size: 0.24rem;
  font-family: "Space Grotesk", sans-serif;
  background-color: skyblue;
}

.feedback-wrapper {
  width: 100%;
  padding: 0.3rem 0.6rem;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 0.3rem;
  border-radius: 0.25rem;
  box-shadow: 10px 10px 30px rgba(0, 0, 0, 0.2);
  /* Updated background color */
  background-color:rgb(24, 133, 202);
  z-index: 1;
}

.feedback-wrapper .feedback-title {
  font-weight: bold;
  font-size: 0.36rem;
}

.feedback-wrapper .feedback-content {
  line-height: 1.6;
  color: #555;
}

.feedback-rate-box {
  display: flex;
  flex-direction: row-reverse;
  gap: 0.1rem;
}

.feedback-rate-box input {
  display: none;
}

.feedback-rate-box input:hover ~ .feedback-star:before {
  color: rgba(255, 204, 51, 0.5);
}

.feedback-rate-box input:active + .feedback-star:before {
  transform: scale(0.9);
}

.feedback-rate-box input:checked ~ .feedback-star:before {
  color: #ffcc33;
  text-shadow: 3px 3px 8px rgba(0, 0, 0, 0.3), -3px -3px 8px rgba(255, 255, 255, 0.8);
}

.feedback-rate-box .feedback-star:before {
  content: "★";
  display: inline-block;
  font-family: "Potta One", cursive;
  font-size: 0.3rem;
  cursor: pointer;
  color: #0000;
  text-shadow: 2px 2px 3px rgba(255, 255, 255, 0.5);
  background-color: #aaa;
  background-clip: text;
  -webkit-background-clip: text;
  transition: all 0.3s;
}

textarea {
  border: none;
  resize: none;
  width: 60%;
  padding: 0.2rem;
  color: inherit;
  font-family: inherit;
  line-height: 1.5;
  border-radius: 0.2rem;
  box-shadow: inset 2px 2px 8px rgba(0, 0, 0, 0.3), inset -2px -2px 8px rgba(255, 255, 255, 0.8);
  background-color: rgba(255, 255, 255, 0.3);
}

textarea::placeholder {
  color: #aaa;
}

textarea:focus {
  outline-color: #ffcc33;
}

.feedback-submit-btn {
  padding: 0.2rem 0.5rem;
  box-shadow: 3px 3px 8px rgba(0, 0, 0, 0.3), -3px -3px 8px rgba(255, 255, 255, 0.8);
  border-radius: 1rem;
  cursor: pointer;
  background-color: #ffcc33;
  transition: all 0.2s;
}

.feedback-submit-btn:active {
  transform: translate(2px, 2px);
}
   